
-- Parametres globaux
gPluginName="KikiInventory";
gDebug = {};
-- gDebug.gBag=true;
-- gDebug.gWallet=true;

-- Import 
import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";

import "Kiki.Commons.Trace";
import "Kiki.Commons.UTF";
import "Kiki.Commons.Class";
import "Kiki.Commons.Tools";
import "Kiki.Commons.Settings";
import "Kiki.KikiInventory.Languages";

-- Charge les traductions
gLanguage = getClientLanguage();
gLang = getLang(gLanguage); 

-- Joueur
gPlayer = Turbine.Gameplay.LocalPlayer.GetInstance();
gPlayerName = gPlayer:GetName();


--
import "Kiki.KikiInventory.gWallet";
import "Kiki.KikiInventory.gBag";
import "Kiki.KikiInventory.gShared";
import "Kiki.KikiInventory.gVault";
import "Kiki.KikiInventory.Command";

-- commands SEARCH
scCommand = Turbine.ShellCommand();
Turbine.Shell.AddCommand(gLang.COMMAND, scCommand);
function scCommand:GetShortHelp()
    return gLang.USAGE;
end
function scCommand:GetHelp()
    return self:GetShortHelp();
end
function scCommand:Execute(cmd, args)
	KikiSearch(cmd, args);
end




-- Function de dechargment du plugin
Plugins[gPluginName].Unload = function(self,sender,args)
	gBag.Unload();
	gWallet.Unload();
	gShared.Unload();
	gVault.Unload();
	Kiki.Commons.Trace("unloaded");
end


gBag.Load();
gWallet.Load();
gShared.Load();
gVault.Load();

-- Retrouve la version du plugin
Kiki.Commons.Trace("loaded (version ".. Plugins[gPluginName]:GetVersion() .. " by Kikiadoc@Sirannon)");
Kiki.Commons.Trace(gLang.USAGE);














