
_LANG =
	{
		COMMAND	= { 
			ENGLISH="InvFind"; 
			FRENCH="ChercheInv"; 
			GERMAN="*";  };
		USAGE	= { 
			ENGLISH="usage: /InvFind xxx -- display characters whose bag contains item named *xxx* "; 
			FRENCH="usage: /ChercheInv xxx -- indique les personnages disposant d'un objet appel xxx "; 
			GERMAN="*";  };
		NOTFOUND= { 
			ENGLISH="Not found"; 
			FRENCH="Introuvable"; 
			GERMAN="*";  };
		TOTAL= { 
			ENGLISH="Total: "; 
			FRENCH="Total: "; 
			GERMAN="*";  };
		BOURSE= { 
			ENGLISH="Wallet: "; 
			FRENCH="Bourse: "; 
			GERMAN="*";  };
		SHARED= { 
			ENGLISH="Shared storage"; 
			FRENCH="Stock partag"; 
			GERMAN="*";  };
		BAG= { 
			ENGLISH="Bag"; 
			FRENCH="Sac"; 
			GERMAN="*";  };
		VAULT= { 
			ENGLISH="Vault"; 
			FRENCH="Coffre"; 
			GERMAN="*";  };
		QTY= { 
			ENGLISH="Qty"; 
			FRENCH="Qt"; 
			GERMAN="*";  };
	};



function getLang(l)
	local ret = {};
	for k,v in pairs(_LANG) do
		ret[k] = ToUTF8(v[l]);
		if ret[k]=="*" then
			ret[k] = ToUTF8(v["ENGLISH"]);
		end
		if ret[k]=="*" then
			ret[k] = ToUTF8(v["FRENCH"]);
		end
	end
	return ret;
end



