-- Gestion des SACS

gBag={};
gBag.bag = gPlayer:GetBackpack();
gBag.data = Kiki.Commons.Settings(gPluginName.."_bag", {} );
gBag.data[gPlayerName]={};
gBag.data[gPlayerName][gLanguage]={};


-- refresh the BagData[gplayName] table
gBag.Refresh = function()
	local size=gBag.bag:GetSize();
	local filled = 0;
	for i=1,size do
		tmpItem=gBag.bag:GetItem(i);
		if tmpItem==nil then
			gBag.data[gPlayerName][gLanguage][i]={i=i,name="",qty=0,imgId=0};
		else
			filled=filled+1;
			local itemInfo=tmpItem:GetItemInfo();
			gBag.data[gPlayerName][gLanguage][i]= {i=i,name=itemInfo:GetName(),qty=tmpItem:GetQuantity(),imgId=itemInfo:GetIconImageID()};
		end
	end
	gBag.data[gPlayerName].Filled=filled;
	gBag.data[gPlayerName].Capacity=size;
end

-- dump le contenu du sac
gBag.Dump = function()
	for k,v in pairs(gBag.data[gPlayerName][gLanguage]) do
		Kiki.Commons.Trace(k.."="..v.name);
	end
end
-- Recherche un element dans les bags
gBag.Search=function(txt)
	local ret = {};
	local s = string.lower(txt);
	for usr,bag in pairs(gBag.data) do
		for i,desc in pairs(bag[gLanguage]) do
			if string.find(string.lower(desc.name), s,1,true) ~= nil then
				-- found !!
				if ret[usr] == nil then ret[usr]={} end
				if ret[usr][desc.name]==nil then
					ret[usr][desc.name] = desc.qty;
				else
					ret[usr][desc.name] = ret[usr][desc.name] + desc.qty;
				end
			end
		end
	end
	return ret;
end

gBag.Unload = function()
	gBag.data:Save(gPluginName.."_bag");
end

-- Chargement
gBag.Load = function()
	gBag.Refresh();
end
