

-- Gestion du WALLET



gWallet={};
gWallet.wallet=gPlayer:GetWallet();
gWallet.data = Kiki.Commons.Settings(gPluginName.."_wallet", {} );
gWallet.data[gPlayerName] = {};
gWallet.data[gPlayerName][gLanguage] = {};

-- reset le wallet du joueur actuel
gWallet.Refresh = function()
	if gWallet.wallet ~=nil then
		local tmpIndex;
		for tmpIndex=1,gWallet.wallet:GetSize() do
			local tmpCurr=gWallet.wallet:GetItem(tmpIndex);
			gWallet.data[gPlayerName][gLanguage][tmpCurr:GetName()]={qty=tmpCurr:GetQuantity(), img=tmpCurr:GetSmallImage(), acc=tmpCurr:IsAccountItem()};
		end
	end
end
gWallet.Dump = function()
	for k,v in pairs(gWallet.data[gPlayerName][gLanguage]) do
		Kiki.Commons.Trace(k .. "=" .. v.qty);
	end
end
-- Recherche un element dans les wallets
gWallet.Search=function(txt)
	local ret = {};
	local s = string.lower(txt);
	for usr,wal in pairs(gWallet.data) do
		for name,desc in pairs(wal[gLanguage]) do
			if string.find(string.lower(name), s,1,true) ~= nil then
				-- found !!
				if ret[usr] == nil then ret[usr]={} end
				if ret[usr][name]==nil then
					ret[usr][name] = desc.qty;
				else
					ret[usr][name] = ret[usr][name] + desc.qty;
				end
			end
		end
	end
	return ret;
end


gWallet.Unload = function()
	gWallet.data:Save(gPluginName.."_wallet");
end

-- Chargement
gWallet.Load = function()
	gWallet.Refresh();
end
